#!/bin/sh
# preinst script 
#
# see: dh_installdeb(1)

set -e

APP="sysmond"

case "$1" in
    install|upgrade)
        if [ -x /bin/systemctl -a -f /etc/systemd/system/yandex-solomon-${APP}.service ] ; then
            if ! /bin/systemctl stop yandex-solomon-${APP} ; then
                echo "Cannot stop ${APP} service!"
            fi
        elif [ -x /usr/bin/service -a -f /etc/init/yandex-solomon-${APP}.conf ] ; then
            if ! /usr/bin/service yandex-solomon-${APP} stop ; then
                echo "Cannot stop ${APP} service!"
            fi
        fi
    ;;

    abort-upgrade)
    ;;

    *)
        echo "preinst called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac
